OpenThreads::ScopedWriteLock Class Reference

`#include <ReadWriteMutex>`

## Public Member Functions

| ScopedWriteLock (ReadWriteMutex &mutex)
| ~ScopedWriteLock ()

## Protected Member Functions

ScopedWriteLock & | operator= (const ScopedWriteLock &)

## Protected Attributes

ReadWriteMutex & | _mutex

## Constructor & Destructor Documentation

## ScopedWriteLock()

OpenThreads::ScopedWriteLock::ScopedWriteLock | ( | ReadWriteMutex & | mutex | ) |

inline

References _mutex.

Referenced by operator=().

## ~ScopedWriteLock()

OpenThreads::ScopedWriteLock::~ScopedWriteLock | ( |  | ) |

inline

References _mutex.

## Member Function Documentation

## operator=()

ScopedWriteLock & OpenThreads::ScopedWriteLock::operator= | ( | const ScopedWriteLock & |  | ) |

inline protected

References ScopedWriteLock().

## Member Data Documentation

## _mutex

ReadWriteMutex& OpenThreads::ScopedWriteLock::_mutex

protected

Referenced by ScopedWriteLock(), and ~ScopedWriteLock().

The documentation for this class was generated from the following file:

- ReadWriteMutex